Bug 1507333

Summary: Missing package dependency on python-argparse
Product: [Fedora] Fedora EPEL Reporter: Japheth Cleaver <cleaver-redhat>
Component: acme-tinyAssignee: Stuart D Gathman <stuart>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el6CC: stuart
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: acme-tiny-0.2-3.20170516gitaf025f5.fc27 acme-tiny-0.2-3.20170516gitaf025f5.el7 acme-tiny-0.2-3.20170516gitaf025f5.fc26 acme-tiny-0.2-3.20170516gitaf025f5.fc25 acme-tiny-0.2-3.20170516gitaf025f5.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:16:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Japheth Cleaver 2017-10-29 21:33:03 UTC
Description of problem:
acme-tiny in EPEL6 installs but gives an error on execution when python-argparse is not present.


Version-Release number of selected component (if applicable):
acme-tiny-0.1-10.20160810git5a7b4e7.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum erase python-argparse
2. yum install acme-tiny
3. acme-tiny

Actual results:
Traceback (most recent call last):
  File "/usr/sbin/acme-tiny", line 2, in <module>
    import argparse, subprocess, json, os, sys, base64, binascii, time, hashlib, re, copy, textwrap, logging
ImportError: No module named argparse


Expected results:
usage: acme-tiny [-h] --account-key ACCOUNT_KEY --csr CSR --acme-dir ACME_DIR
                 [--quiet] [--ca CA] [--chain]
acme-tiny: error: argument --account-key is required


Additional info:
acme-tiny should have python-argparse as a Requirement.

~]# rpm --requires -q acme-tiny
/bin/sh  
/bin/sh  
/usr/bin/python  
config(acme-tiny) = 0.1-10.20160810git5a7b4e7.el6
cronie  
openssl  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
shadow-utils  
rpmlib(PayloadIsXz) <= 5.2-1

Comment 1 Stuart D Gathman 2017-10-29 21:44:19 UTC
Thank you!  Hmm.  The latest patch for python3 on F27 breaks python2, so I'll have to patch EL6 separately.

Comment 2 Stuart D Gathman 2017-10-29 21:50:57 UTC
Even better would be a simple test that could be run during build - but I'm not sure how it would work.

Comment 3 Michael Schwendt 2017-10-30 13:21:23 UTC
> a simple test that could be run during build

It would always be possible to simply add the needed packages as BuildRequires and execute Python code in the spec file's %check section. If they crash, the build fails.

Of course, that only protects you from breakage that can be discovered at build-time. Not runtime breakage introduced later.

Comment 4 Fedora Update System 2017-11-23 05:09:30 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-532467503a

Comment 5 Fedora Update System 2017-11-23 05:09:42 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0180e6bed2

Comment 6 Fedora Update System 2017-11-23 05:09:52 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3e288b6e4d

Comment 7 Fedora Update System 2017-11-23 05:10:02 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35d7ea827a

Comment 8 Fedora Update System 2017-11-23 05:10:14 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-914865416c

Comment 9 Fedora Update System 2017-11-24 23:23:10 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-914865416c

Comment 10 Fedora Update System 2017-11-25 00:35:36 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35d7ea827a

Comment 11 Fedora Update System 2017-11-25 00:53:39 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3e288b6e4d

Comment 12 Fedora Update System 2017-11-25 01:34:33 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0180e6bed2

Comment 13 Fedora Update System 2017-11-25 05:23:05 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-532467503a

Comment 14 Fedora Update System 2017-12-12 11:16:53 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-12-12 12:23:23 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-12-12 13:40:25 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-12-12 14:38:27 UTC
acme-tiny-0.2-3.20170516gitaf025f5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-12-12 17:33:03 UTC
acme-tiny-0.2-3.20170516gitaf025f5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.